﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Drawing;
namespace TwoLiquidTanks
{
    class InputBox
    {
        /// <summary>
        /// Displays a dialog with a prompt and textbox where the user can enter information
        /// </summary>
        /// <param name="title">Dialog title</param>
        /// <param name="promptText">Dialog prompt</param>
        /// <param name="value">Sets the initial value and returns the result</param>
        /// <returns>Dialog result</returns>
        public static DialogResult Show(string title, string promptText, ref string value)
        {
            Form form = new Form();
            Label label = new Label();
            TextBox textBox = new TextBox();
            Button buttonOk = new Button();
            Button buttonCancel = new Button();

            form.Text = title;
            label.Text = promptText;
            textBox.Text = value;

            //buttonOk.Text = "OK";
            
            //buttonCancel.Text = "Cancel";
            
            buttonOk.DialogResult = DialogResult.OK;
            buttonCancel.DialogResult = DialogResult.Cancel;

            //label.SetBounds(9, 20, 372, 13);
            label.SetBounds(9, 10, 372, 13);
            label.Font = new Font("Segoe UI", 14,FontStyle.Bold);
            label.ForeColor = Color.DodgerBlue;
            //textBox.SetBounds(12, 36, 372, 2);
            textBox.SetBounds(12, 36, 250, 30);
            textBox.ForeColor = Color.DodgerBlue;
            textBox.Font = new Font("Segoe UI", 15, FontStyle.Bold);
            textBox.TextAlign = HorizontalAlignment.Center;

            buttonOk.SetBounds(228, 75, 75, 30);
            buttonOk.BackColor = Color.White;
            buttonCancel.SetBounds(300, 75, 75, 30);
            buttonCancel.BackColor = Color.White;
            buttonOk.FlatAppearance.BorderSize = 0;
            buttonCancel.FlatAppearance.BorderSize = 0;
            buttonOk.FlatStyle = FlatStyle.Flat;

            buttonOk.FlatAppearance.BorderColor = Color.White;
            buttonOk.Image = Image.FromFile("..\\..\\img\\check.png");
            //buttonCancel.FlatAppearance.BorderColor = Color.DodgerBlue;
            buttonCancel.FlatStyle = FlatStyle.Flat;
            buttonCancel.Image = Image.FromFile("..\\..\\img\\close_pressed_dialog.png");

            //buttonOk.Font = new Font("Segoe UI", 14, FontStyle.Bold);
            //buttonCancel.Font = new Font("Segoe UI", 14, FontStyle.Bold);
            //buttonOk.ForeColor = Color.DodgerBlue;
            //buttonCancel.ForeColor = Color.DodgerBlue;


            label.AutoSize = true;
            textBox.Anchor = textBox.Anchor | AnchorStyles.Right;
            buttonOk.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;
            buttonCancel.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;

            form.ClientSize = new Size(396, 107);
            //form.Opacity = 0.7;
            form.Controls.AddRange(new Control[] { label, textBox, buttonOk, buttonCancel });
            form.ClientSize = new Size(Math.Max(300, label.Right + 10), form.ClientSize.Height);
            form.FormBorderStyle = FormBorderStyle.FixedDialog;
            form.StartPosition = FormStartPosition.CenterScreen;
            form.MinimizeBox = false;
            form.MaximizeBox = false;
            form.AcceptButton = buttonOk;
            form.CancelButton = buttonCancel;
            //form.BackColor = ColorTranslator.FromHtml("#0C2531");
            //form.BackColor = Color.FromArgb(181, 230, 251);
            form.BackColor = Color.White;
            DialogResult dialogResult = form.ShowDialog();
            value = textBox.Text;
            return dialogResult;
        }
    }
}
