﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Windows.Forms;

namespace TwoLiquidTanks
{
    class InputBox2
    {
        /// <summary>
        /// Displays a dialog with a prompt and textbox where the user can enter information
        /// </summary>
        /// <param name="title">Dialog title</param>
        /// <param name="promptText">Dialog prompt</param>
        /// <param name="value">Sets the initial value and returns the result</param>
        /// <returns>Dialog result</returns>
        public static DialogResult Show(string title, string[] promptText, ref string[] value)
        {
            Form form = new Form();
            Label label0 = new Label();
            Label label1 = new Label();
            Label label2 = new Label();
            Label label3 = new Label();
            TextBox textBox0 = new TextBox();
            TextBox textBox1 = new TextBox();
            TextBox textBox2 = new TextBox();
            TextBox textBox3 = new TextBox();
            Button buttonOk = new Button();
            Button buttonCancel = new Button();

            form.Text = title;
            label0.Text = promptText[0];
            label1.Text = promptText[1];
            label2.Text = promptText[2];
            label3.Text = promptText[3];

            textBox0.Text = value[0];
            textBox1.Text = value[1];
            textBox2.Text = value[2];
            textBox3.Text = value[3];

            buttonOk.Image = Image.FromFile("..\\..\\img\\check.png");
            buttonOk.FlatStyle = FlatStyle.Flat;
            buttonOk.FlatAppearance.BorderColor = Color.White;
            //buttonCancel.FlatAppearance.BorderColor = Color.DodgerBlue;
            buttonCancel.FlatStyle = FlatStyle.Flat;
            buttonCancel.Image = Image.FromFile("..\\..\\img\\close_pressed_dialog.png");
            buttonCancel.FlatAppearance.BorderColor = Color.White;

            //buttonOk.Text = "OK";
            //buttonOk.BackColor = Color.LightGray;
            //buttonCancel.Text = "Cancel";
            //buttonCancel.BackColor = Color.LightGray;
            buttonOk.DialogResult = DialogResult.OK;
            buttonCancel.DialogResult = DialogResult.Cancel;

            label0.SetBounds(10, 15, 372, 13);
            label0.Font = new Font("Segoe UI", 14, FontStyle.Bold);
            label0.ForeColor = Color.DodgerBlue;

            label1.SetBounds(150, 15, 372, 13);
            label1.Font = new Font("Segoe UI", 14, FontStyle.Bold);
            label1.ForeColor = Color.DodgerBlue;

            label2.SetBounds(10, 75, 372, 13);
            label2.Font = new Font("Segoe UI",14 ,FontStyle.Bold);
            label2.ForeColor = Color.DodgerBlue;

            label3.SetBounds(150, 75, 372, 13);
            label3.Font = new Font("Segoe UI", 14, FontStyle.Bold);
            label3.ForeColor = Color.DodgerBlue;

            textBox0.SetBounds(10, 40, 220, 30);
            textBox0.Font = new Font("Segoe UI", 15,FontStyle.Bold);
            textBox0.TextAlign =  HorizontalAlignment.Center;
            textBox0.ForeColor = Color.DodgerBlue;

            textBox1.SetBounds(150, 40, 220, 30);
            textBox1.Font = new Font("Segoe UI", 15, FontStyle.Bold);
            textBox1.TextAlign = HorizontalAlignment.Center;
            textBox1.ForeColor = Color.DodgerBlue;

            textBox2.SetBounds(10, 100, 220, 30);
            textBox2.Font = new Font("Segoe UI", 15, FontStyle.Bold);
            textBox2.TextAlign = HorizontalAlignment.Center;
            textBox2.ForeColor = Color.DodgerBlue;

            textBox3.SetBounds(150, 100, 220, 30);
            textBox3.Font = new Font("Segoe UI", 15, FontStyle.Bold);
            textBox3.TextAlign = HorizontalAlignment.Center;
            textBox3.ForeColor = Color.DodgerBlue;

            buttonOk.SetBounds(228, 150, 75, 23);
            buttonCancel.SetBounds(309, 150, 75, 23);
            buttonOk.AutoSize = true;
            buttonCancel.AutoSize = true;
            //buttonOk.FlatStyle = FlatStyle.System;
            //buttonCancel.FlatStyle = FlatStyle.System;

            label0.AutoSize = true;
            label1.AutoSize = true;
            label2.AutoSize = true;
            label3.AutoSize = true;

            textBox0.Anchor = textBox0.Anchor | AnchorStyles.Right;
            textBox1.Anchor = textBox1.Anchor | AnchorStyles.Right;
            textBox2.Anchor = textBox2.Anchor | AnchorStyles.Right;
            textBox3.Anchor = textBox2.Anchor | AnchorStyles.Right;

            buttonOk.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;
            buttonCancel.Anchor = AnchorStyles.Bottom | AnchorStyles.Right;

            form.ClientSize = new Size(396, 180);
            form.Controls.AddRange(new Control[] { label0, label1, label2, label3, textBox0, textBox1, textBox2, textBox3, buttonOk, buttonCancel });
            form.ClientSize = new Size(Math.Max(300, label0.Right + 10), form.ClientSize.Height);
            form.FormBorderStyle = FormBorderStyle.FixedDialog;
            form.StartPosition = FormStartPosition.CenterScreen;
            form.MinimizeBox = false;
            form.MaximizeBox = false;
            form.AcceptButton = buttonOk;
            form.CancelButton = buttonCancel;
            form.BackColor = Color.White;

            DialogResult dialogResult = form.ShowDialog();
            value[0] = textBox0.Text;
            value[1] = textBox1.Text;
            value[2] = textBox2.Text;
            value[3] = textBox3.Text;
            return dialogResult;
        }
    }
}
