﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Windows.Forms;

namespace TwoLiquidTanks
{
    class WarnDialog1
    {
        /// <summary>
        /// Displays a dialog with a prompt and textbox where the user can enter information
        /// </summary>
        /// <param name="title">Dialog title</param>
        /// <param name="promptText">Dialog prompt</param>
        /// <param name="value">Sets the initial value and returns the result</param>
        /// <returns>Dialog result</returns>
        public static DialogResult Show(string title, string promptText)
        {
            Form form = new Form();
            Label label = new Label();
            Button buttonOk = new Button();

            form.Text = title;
            label.Text = promptText;

            buttonOk.DialogResult = DialogResult.OK;
            label.SetBounds(9, 10, 400, 40);
            label.Font = new Font("Segoe UI", 14, FontStyle.Bold);
            label.ForeColor = Color.DodgerBlue;
            label.Image = Image.FromFile("..\\..\\img\\denied.png");
            label.ImageAlign = ContentAlignment.MiddleLeft;
            label.TextAlign = ContentAlignment.MiddleCenter;
            label.BackColor = Color.White;
            label.Padding = new Padding(3, 0, 0, 0);
            label.Anchor = AnchorStyles.Top|AnchorStyles.Left;
            buttonOk.SetBounds(280, 75, 75, 30);
            buttonOk.BackColor = Color.White;
            buttonOk.FlatAppearance.BorderSize = 0;
            buttonOk.FlatStyle = FlatStyle.Flat;
            buttonOk.Margin = new Padding(0, 0, 5, 5);
            buttonOk.FlatAppearance.BorderColor = Color.White;
            buttonOk.Image = Image.FromFile("..\\..\\img\\check.png");

            //label.AutoSize = true;
            buttonOk.Anchor = AnchorStyles.Bottom | AnchorStyles.Left;

            form.ClientSize = new Size(350, 107);
            form.Controls.AddRange(new Control[] { label, buttonOk});
            form.ClientSize = new Size(label.Right-40, form.ClientSize.Height);
            //form.ClientSize = new Size(Math.Max(300, label.Right + 10), form.ClientSize.Height);
            //form.ClientSize = new Size(500, 107);
            form.FormBorderStyle = FormBorderStyle.FixedDialog;
            form.StartPosition = FormStartPosition.CenterScreen;
            form.MinimizeBox = false;
            form.MaximizeBox = false;
            form.AcceptButton = buttonOk;
            form.BackColor = Color.White;
            DialogResult dialogResult = form.ShowDialog();
            return dialogResult;
        }


    }
}
