﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Drawing;
using System.Windows.Forms;
using System.Windows;

namespace TwoLiquidTanks
{
    class WarnDialog2
    {

	    /// <summary>
        /// Displays a dialog with a prompt and textbox where the user can enter information
        /// </summary>
        /// <param name="title">Dialog title</param>
        /// <param name="promptText">Dialog prompt</param>
        /// <param name="value">Sets the initial value and returns the result</param>
        /// <returns>Dialog result</returns>
        public static DialogResult Show(string title, string promptTank1,string promptTank2)
        {
            Form form = new Form();
            Label label1 = new Label();
            Label label2 = new Label();
            Label label3 = new Label();
            Button buttonOk = new Button();

            form.Text = title;
            label1.Text = promptTank1;
            label2.Text = promptTank2;

            buttonOk.DialogResult = DialogResult.OK;
            //----------------------------------------------------------------------------------------------------------
            // picture
            //----------------------------------------------------------------------------------------------------------
            label1.SetBounds(9, 10, 400, 40);
            label1.Font = new Font("Segoe UI", 12, FontStyle.Bold);
            label1.ForeColor = Color.DodgerBlue;
            label1.Image = Image.FromFile("..\\..\\img\\denied.png");
            label1.ImageAlign = ContentAlignment.MiddleLeft;
            label1.TextAlign = ContentAlignment.MiddleCenter;
            label1.BackColor = Color.White;
            label1.Padding = new Padding(3, 0, 0, 0);
            label1.Anchor = AnchorStyles.Top | AnchorStyles.Left;
            //----------------------------------------------------------------------------------------------------------
            // first error message
            //----------------------------------------------------------------------------------------------------------
            label2.SetBounds(9, 50, 400, 40);
            label2.Font = new Font("Segoe UI", 12, FontStyle.Bold);
            label2.ForeColor = Color.DodgerBlue;
            //label2.Image = Image.FromFile("..\\..\\img\\denied.png");
            label2.ImageAlign = ContentAlignment.MiddleLeft;
            label2.TextAlign = ContentAlignment.MiddleCenter;
            label2.BackColor = Color.White;
            label2.Padding = new Padding(3, 0, 0, 0);
            label2.Anchor = AnchorStyles.Top | AnchorStyles.Left;
            //----------------------------------------------------------------------------------------------------------
            // second error message
            //---------------------------------------------------------------------------------------------------------
          

            buttonOk.SetBounds(320, 90, 75, 30);
            buttonOk.BackColor = Color.White;
            buttonOk.FlatAppearance.BorderSize = 0;
            buttonOk.FlatStyle = FlatStyle.Flat;
            buttonOk.Margin = new Padding(0, 0, 5, 5);
            buttonOk.FlatAppearance.BorderColor = Color.White;
            buttonOk.Image = Image.FromFile("..\\..\\img\\check.png");
            //----------------------------------------------------------------------------------------------------------
            //label.AutoSize = true;
            buttonOk.Anchor = AnchorStyles.Bottom | AnchorStyles.Left;

            form.ClientSize = new Size(400, 130);
            form.Controls.AddRange(new Control[] { label1, label2, buttonOk });
            //form.ClientSize = new Size(label1.Right - 40, form.ClientSize.Height);
            //form.ClientSize = new Size(Math.Max(300, label.Right + 10), form.ClientSize.Height);
            //form.ClientSize = new Size(500, 107);
            form.FormBorderStyle = FormBorderStyle.FixedDialog;
            form.StartPosition = FormStartPosition.CenterScreen;
            form.MinimizeBox = false;
            form.MaximizeBox = false;
            form.AcceptButton = buttonOk;
            form.BackColor = Color.White;
            DialogResult dialogResult = form.ShowDialog();
            return dialogResult;
        }


    }
}
